package com.sifang.modules.supply.warehouse.request;

import com.sifang.modules.supply.order.request.ApplyOrderDetailReq;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;
import java.util.List;

public class AddFittingStockReq implements Serializable {

    private String id;

    @NotBlank(message = "备货仓库不能为空")
    private String inWarehouseId;

    private String remarks;

    private String createName;

    private String materialType;

    private String createTime;

    private String fittingType;

    private List<ApplyOrderDetailReq> details;

    public String getFittingType() {
        return fittingType;
    }

    public void setFittingType(String fittingType) {
        this.fittingType = fittingType;
    }

    // 1 暂存  2 提交(或者为空)
    private String actionType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(String inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public List<ApplyOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<ApplyOrderDetailReq> details) {
        this.details = details;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }


}
